clang 10.0.0git

Public Member Functions | List of all members
clang::CurrentSourceLocExprScope::SourceLocExprScopeGuard Class Reference

`#include "clang/AST/CurrentSourceLocExprScope.h"`

Inheritance diagram for clang::CurrentSourceLocExprScope::SourceLocExprScopeGuard:
[legend]

## Public Member Functions
| SourceLocExprScopeGuard (const Expr *DefaultExpr, CurrentSourceLocExprScope &Current)
| ~SourceLocExprScopeGuard ()

## Detailed Description

Definition at line 49 of file CurrentSourceLocExprScope.h.

## Constructor & Destructor Documentation

## ◆ SourceLocExprScopeGuard()

clang::CurrentSourceLocExprScope::SourceLocExprScopeGuard::SourceLocExprScopeGuard | ( | const Expr * | DefaultExpr,
|  | CurrentSourceLocExprScope & | Current
| ) |  |
| inline

Definition at line 51 of file CurrentSourceLocExprScope.h.

## ◆ ~SourceLocExprScopeGuard()

clang::CurrentSourceLocExprScope::SourceLocExprScopeGuard::~SourceLocExprScopeGuard | ( |  | ) |
| inline

Definition at line 59 of file CurrentSourceLocExprScope.h.

The documentation for this class was generated from the following file:

- include/clang/AST/CurrentSourceLocExprScope.h